Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-lu12_cfg
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-lu12_cfg	(revision 13830)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-lu12_cfg	(revision 13835)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF configuration with ICE, ERA5_arctic forcing
+!!             STATION_ASF configuration with ICE, <FORCING> forcing
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -26,5 +26,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  'STATION_ASF-ECMWF-LU12_ERA5_arctic'  !  experience name
+   cn_exp      =  'STATION_ASF-ECMWF-LU12_<FORCING>'  !  experience name
    nn_it000    =    1   !  first time step
    nn_itend    =    8760   !  last  time step => 3 years (including 1 leap!) at dt=3600s
@@ -136,13 +136,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_wndj     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_qsr      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_qlw      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_tair     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_humi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_prec     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_snow     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_slp      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_wndi     = '<SFORC>',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_wndj     = '<SFORC>',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_qsr      = '<SFORC>',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_qlw      = '<SFORC>',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_tair     = '<SFORC>',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_humi     = '<SFORC>',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_prec     = '<SFORC>',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_snow     = '<SFORC>',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_slp      = '<SFORC>',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -163,14 +163,14 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_usp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_vsp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tem  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_sal  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ssh  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_usp  = '<SFORC>', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_vsp  = '<SFORC>', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tem  = '<SFORC>', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal  = '<SFORC>', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ssh  = '<SFORC>', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
    !!
    !! Following only needed with STATION_ASF compiled with "sea-ice" support: "key_si3" (ice fraction, ice surface temperature and sea-ice albedo:
-   sn_ifr  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tic  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ial  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'fal'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ifr  = '<SFORC>', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tic  = '<SFORC>', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ial  = '<SFORC>', 1.         , 'ialb'    ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !!======================================================================