Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/C1D_PAPA/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 13852)
@@ -428,7 +428,4 @@
 /
 !-----------------------------------------------------------------------
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namhsb        !  Heat and salt budgets                                 (default: OFF)
 !-----------------------------------------------------------------------
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 13852)
@@ -388,7 +388,4 @@
 /
 !-----------------------------------------------------------------------
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namhsb        !  Heat and salt budgets                                 (default: OFF)
 !-----------------------------------------------------------------------
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 13852)
@@ -384,7 +384,4 @@
 /
 !-----------------------------------------------------------------------
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namhsb        !  Heat and salt budgets                                 (default: OFF)
 !-----------------------------------------------------------------------
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/SHARED/namelist_ref
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/SHARED/namelist_ref	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/SHARED/namelist_ref	(revision 13852)
@@ -1271,5 +1271,4 @@
 !!gm   ln_trdmld_instant = .false.         !  flag to diagnose trends of instantantaneous or mean ML T/S
 !!gm
-/
 !-----------------------------------------------------------------------
 &namhsb        !  Heat and salt budgets                                 (default: OFF)
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/WED025/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/WED025/EXPREF/namelist_cfg	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/cfgs/WED025/EXPREF/namelist_cfg	(revision 13852)
@@ -583,7 +583,4 @@
 /
 !-----------------------------------------------------------------------
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namhsb        !  Heat and salt budgets                                 (default: OFF)
 !-----------------------------------------------------------------------
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/ICE/icestp.F90
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/ICE/icestp.F90	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/ICE/icestp.F90	(revision 13852)
@@ -212,5 +212,5 @@
       ! --- Ocean time step --- !
       !-------------------------!
-      IF( ln_icedyn )                   CALL ice_update_tau( kt, uu(:,:,1,Kbb), vv(:,:,1,Kbb) )   ! -- update surface ocean stresses
+      CALL ice_update_tau( kt, uu(:,:,1,Kbb), vv(:,:,1,Kbb) )         ! -- update surface ocean stresses
 !!gm   remark, the ocean-ice stress is not saved in ice diag call above .....  find a solution!!!
       !
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/ICE/icetab.F90
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/ICE/icetab.F90	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/ICE/icetab.F90	(revision 13852)
@@ -40,5 +40,5 @@
       INTEGER , DIMENSION(ndim1d)     , INTENT(in   ) ::   tab_ind  ! input index
       REAL(wp), DIMENSION(jpi,jpj,jpl), INTENT(in   ) ::   tab2d    ! input 2D field
-      REAL(wp), DIMENSION(ndim1d,jpl) , INTENT(  out) ::   tab1d    ! output 1D field
+      REAL(wp), DIMENSION(ndim1d,jpl) , INTENT(inout) ::   tab1d    ! output 1D field
       !
       INTEGER ::   jl, jn, jid, jjd
@@ -61,5 +61,5 @@
       INTEGER , DIMENSION(ndim1d) , INTENT(in   ) ::   tab_ind  ! input index
       REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) ::   tab2d    ! input 2D field
-      REAL(wp), DIMENSION(ndim1d) , INTENT(  out) ::   tab1d    ! output 1D field
+      REAL(wp), DIMENSION(ndim1d) , INTENT(inout) ::   tab1d    ! output 1D field
       !
       INTEGER ::   jn , jid, jjd
@@ -80,5 +80,5 @@
       INTEGER , DIMENSION(ndim1d)     , INTENT(in   ) ::   tab_ind   ! input index
       REAL(wp), DIMENSION(ndim1d,jpl) , INTENT(in   ) ::   tab1d     ! input 1D field
-      REAL(wp), DIMENSION(jpi,jpj,jpl), INTENT(  out) ::   tab2d     ! output 2D field
+      REAL(wp), DIMENSION(jpi,jpj,jpl), INTENT(inout) ::   tab2d     ! output 2D field
       !
       INTEGER ::   jl, jn, jid, jjd
@@ -101,5 +101,5 @@
       INTEGER , DIMENSION(ndim1d) , INTENT(in   ) ::   tab_ind   ! input index
       REAL(wp), DIMENSION(ndim1d) , INTENT(in   ) ::   tab1d     ! input 1D field
-      REAL(wp), DIMENSION(jpi,jpj), INTENT(  out) ::   tab2d     ! output 2D field
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) ::   tab2d     ! output 2D field
       !
       INTEGER ::   jn , jid, jjd
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/OCE/DIU/diu_coolskin.F90
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/OCE/DIU/diu_coolskin.F90	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/OCE/DIU/diu_coolskin.F90	(revision 13852)
@@ -95,5 +95,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( .NOT. ln_blk )   CALL ctl_stop("diu_coolskin.f90: diurnal flux processing only implemented for bulk forcing")
+      IF( .NOT. (ln_blk .OR. ln_abl) )   CALL ctl_stop("diu_coolskin.f90: diurnal flux processing only implemented for bulk forcing")
       !
       DO_2D( 1, 1, 1, 1 )
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/OCE/IOM/iom.F90
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/OCE/IOM/iom.F90	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/OCE/IOM/iom.F90	(revision 13852)
@@ -1914,9 +1914,5 @@
       IF( iom_use(cdname) ) THEN
 #if defined key_iomput
-         IF( SIZE(pfield2d, dim=1) == jpi .AND. SIZE(pfield2d, dim=2) == jpj ) THEN
-            CALL xios_send_field( cdname, pfield2d(Nis0:Nie0, Njs0:Nje0) )       ! this extraction will create a copy of pfield2d
-         ELSE
-            CALL xios_send_field( cdname, pfield2d )
-         ENDIF
+         CALL xios_send_field( cdname, pfield2d )
 #else
          WRITE(numout,*) pfield2d   ! iom_use(cdname) = .F. -> useless test to avoid compilation warnings
@@ -1930,9 +1926,5 @@
       IF( iom_use(cdname) ) THEN
 #if defined key_iomput
-         IF( SIZE(pfield2d, dim=1) == jpi .AND. SIZE(pfield2d, dim=2) == jpj ) THEN
-            CALL xios_send_field( cdname, pfield2d(Nis0:Nie0, Njs0:Nje0) )       ! this extraction will create a copy of pfield2d
-         ELSE
-            CALL xios_send_field( cdname, pfield2d )
-         ENDIF
+         CALL xios_send_field( cdname, pfield2d )
 #else
          WRITE(numout,*) pfield2d   ! iom_use(cdname) = .F. -> useless test to avoid compilation warnings
@@ -1946,9 +1938,5 @@
       IF( iom_use(cdname) ) THEN
 #if defined key_iomput
-         IF( SIZE(pfield3d, dim=1) == jpi .AND. SIZE(pfield3d, dim=2) == jpj ) THEN
-            CALL xios_send_field( cdname, pfield3d(Nis0:Nie0, Njs0:Nje0,:) )     ! this extraction will create a copy of pfield3d
-         ELSE
-            CALL xios_send_field( cdname, pfield3d )
-         ENDIF
+         CALL xios_send_field( cdname, pfield3d )
 #else
          WRITE(numout,*) pfield3d   ! iom_use(cdname) = .F. -> useless test to avoid compilation warnings
@@ -1962,9 +1950,5 @@
       IF( iom_use(cdname) ) THEN
 #if defined key_iomput
-         IF( SIZE(pfield3d, dim=1) == jpi .AND. SIZE(pfield3d, dim=2) == jpj ) THEN
-            CALL xios_send_field( cdname, pfield3d(Nis0:Nie0, Njs0:Nje0,:) )     ! this extraction will create a copy of pfield3d
-         ELSE
-            CALL xios_send_field( cdname, pfield3d )
-         ENDIF
+         CALL xios_send_field( cdname, pfield3d )
 #else
          WRITE(numout,*) pfield3d   ! iom_use(cdname) = .F. -> useless test to avoid compilation warnings
@@ -1978,9 +1962,5 @@
       IF( iom_use(cdname) ) THEN
 #if defined key_iomput
-         IF( SIZE(pfield4d, dim=1) == jpi .AND. SIZE(pfield4d, dim=2) == jpj ) THEN
-            CALL xios_send_field( cdname, pfield4d(Nis0:Nie0, Njs0:Nje0,:,:) )   ! this extraction will create a copy of pfield4d
-         ELSE
-            CALL xios_send_field (cdname, pfield4d )
-         ENDIF
+         CALL xios_send_field (cdname, pfield4d )
 #else
          WRITE(numout,*) pfield4d   ! iom_use(cdname) = .F. -> useless test to avoid compilation warnings
@@ -1994,9 +1974,5 @@
       IF( iom_use(cdname) ) THEN
 #if defined key_iomput
-         IF( SIZE(pfield4d, dim=1) == jpi .AND. SIZE(pfield4d, dim=2) == jpj ) THEN
-            CALL xios_send_field( cdname, pfield4d(Nis0:Nie0, Njs0:Nje0,:,:) )   ! this extraction will create a copy of pfield4d
-         ELSE
-            CALL xios_send_field (cdname, pfield4d )
-         ENDIF
+         CALL xios_send_field (cdname, pfield4d )
 #else
          WRITE(numout,*) pfield4d   ! iom_use(cdname) = .F. -> useless test to avoid compilation warnings
@@ -2204,5 +2180,5 @@
       !
       CALL iom_set_domain_attr("grid_"//cdgrd, ni_glo=Ni0glo,nj_glo=Nj0glo,ibegin=mig0(Nis0)-1,jbegin=mjg0(Njs0)-1,ni=Ni_0,nj=Nj_0)
-      CALL iom_set_domain_attr("grid_"//cdgrd, data_dim=2, data_ibegin = 0, data_ni = Ni_0, data_jbegin = 0, data_nj = Nj_0)
+      CALL iom_set_domain_attr("grid_"//cdgrd, data_dim=2, data_ibegin = -nn_hls, data_ni = jpi, data_jbegin = -nn_hls, data_nj = jpj)
 !don't define lon and lat for restart reading context. 
       IF ( .NOT.ldrxios ) &
@@ -2303,8 +2279,8 @@
       CALL dom_ngb( 180.0_wp, 90.0_wp, ix, iy, 'T' ) !  i-line that passes near the North Pole : Reference latitude (used in plots)
       CALL iom_set_domain_attr("gznl", ni_glo=Ni0glo, nj_glo=Nj0glo, ibegin=mig0(Nis0)-1, jbegin=mjg0(Njs0)-1, ni=Ni_0, nj=Nj_0)
-      CALL iom_set_domain_attr("gznl", data_dim=2, data_ibegin = 0, data_ni = Ni_0, data_jbegin = 0, data_nj = Nj_0)
+      CALL iom_set_domain_attr("gznl", data_dim=2, data_ibegin = -nn_hls, data_ni = jpi, data_jbegin = -nn_hls, data_nj = jpj)
       CALL iom_set_domain_attr("gznl", lonvalue = real(zlon, dp),   &
          &                             latvalue = real(RESHAPE(plat(Nis0:Nie0, Njs0:Nje0),(/ Ni_0*Nj_0 /)),dp))  
-      CALL iom_set_zoom_domain_attr("ptr", ibegin=ix-1, jbegin=0, ni=1, nj=Nj_0)
+      CALL iom_set_zoom_domain_attr("ptr", ibegin=ix-1, jbegin=0, ni=1, nj=Nj0glo)
       !
       CALL iom_update_file_name('ptr')
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/OCE/SBC/sbcmod.F90
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/OCE/SBC/sbcmod.F90	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/src/OCE/SBC/sbcmod.F90	(revision 13852)
@@ -205,5 +205,5 @@
       CASE DEFAULT                     !- not supported
       END SELECT
-      IF( ln_diurnal .AND. .NOT. ln_blk  )   CALL ctl_stop( "sbc_init: diurnal flux processing only implemented for bulk forcing" )
+      IF( ln_diurnal .AND. .NOT. (ln_blk.OR.ln_abl) )   CALL ctl_stop( "sbc_init: diurnal flux processing only implemented for bulk forcing" )
       !
       !                       !**  allocate and set required variables
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/tests/ISOMIP+/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/tests/ISOMIP+/EXPREF/namelist_cfg	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/tests/ISOMIP+/EXPREF/namelist_cfg	(revision 13852)
@@ -477,7 +477,4 @@
 /
 !-----------------------------------------------------------------------
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namhsb        !  Heat and salt budgets                                 (default: OFF)
 !-----------------------------------------------------------------------
Index: NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/tests/ISOMIP/EXPREF/namelist_cfg
===================================================================
--- NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/tests/ISOMIP/EXPREF/namelist_cfg	(revision 13851)
+++ NEMO/branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves/tests/ISOMIP/EXPREF/namelist_cfg	(revision 13852)
@@ -437,7 +437,4 @@
 /
 !-----------------------------------------------------------------------
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namhsb        !  Heat and salt budgets                                 (default: OFF)
 !-----------------------------------------------------------------------